Algebraic Structures

Various algebraic structures. More...

## Classes

class | regina::AbelianGroup
| Represents a finitely generated abelian group. More...
struct | regina::GroupExpressionTerm
| Represents a power of a generator in a group presentation. More...
class | regina::GroupExpression
| Represents an expression involving generators from a group presentation or a free group. More...
class | regina::GroupPresentation
| Represents a finite presentation of a group. More...
class | regina::HomGroupPresentation
| Represents a homomorphism between groups which are described via finite presentations. More...
class | regina::MarkedAbelianGroup
| Represents a finitely generated abelian group given by a chain complex. More...
class | regina::HomMarkedAbelianGroup
| Represents a homomorphism of finitely generated abelian groups. More...
class | regina::XMLAbelianGroupReader
| An XML element reader that reads a single abelian group. More...
class | regina::XMLGroupPresentationReader
| An XML element reader that reads a single group presentation. More...

## Typedefs

typedef AbelianGroup | regina::NAbelianGroup
| Deprecated typedef for backward compatibility. More...
typedef GroupExpressionTerm | regina::NGroupExpressionTerm
| Deprecated typedef for backward compatibility. More...
typedef GroupExpression | regina::NGroupExpression
| Deprecated typedef for backward compatibility. More...
typedef GroupPresentation | regina::NGroupPresentation
| Deprecated typedef for backward compatibility. More...
typedef HomGroupPresentation | regina::NHomGroupPresentation
| Deprecated typedef for backward compatibility. More...
typedef MarkedAbelianGroup | regina::NMarkedAbelianGroup
| Deprecated typedef for backward compatibility. More...
typedef HomMarkedAbelianGroup | regina::NHomMarkedAbelianGroup
| Deprecated typedef for backward compatibility. More...

## Functions

std::ostream & | regina::operator<< (std::ostream &out, const GroupExpressionTerm &term)
| Writes the given term to the given output stream. More...

## Detailed Description

Various algebraic structures.

## Typedef Documentation

## NAbelianGroup

typedef AbelianGroup regina::NAbelianGroup

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NAbelianGroup has now been renamed to AbelianGroup.

## NGroupExpression

typedef GroupExpression regina::NGroupExpression

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The struct NGroupExpression has now been renamed to GroupExpression.

## NGroupExpressionTerm

typedef GroupExpressionTerm regina::NGroupExpressionTerm

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The struct NGroupExpressionTerm has now been renamed to GroupExpressionTerm.

## NGroupPresentation

typedef GroupPresentation regina::NGroupPresentation

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The struct NGroupPresentation has now been renamed to GroupPresentation.

## NHomGroupPresentation

typedef HomGroupPresentation regina::NHomGroupPresentation

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NHomGroupPresentation has now been renamed to HomGroupPresentation.

## NHomMarkedAbelianGroup

typedef HomMarkedAbelianGroup regina::NHomMarkedAbelianGroup

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NHomMarkedAbelianGroup has now been renamed to HomMarkedAbelianGroup.

## NMarkedAbelianGroup

typedef MarkedAbelianGroup regina::NMarkedAbelianGroup

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NMarkedAbelianGroup has now been renamed to MarkedAbelianGroup.

## Function Documentation

## operator<<()

std::ostream& regina::operator<< | ( | std::ostream & | out,
|  | const GroupExpressionTerm & | term
| ) |  |

Writes the given term to the given output stream.

The term will be written in the format `g3^-7`, where in this example the term represents generator number 3 raised to the -7th power.

If the term has exponent 0 or 1, the output format will be appropriately simplified.

Parameters

  out | the output stream to which to write.
  term | the term to write.

Returns
  a reference to the given output stream.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).